typedef union {
    long	num;
    double	fnum;
    u_long	u_num;
    bytestr	hex;
    charstr	str;
    flag_t	flag;
    time_t	time;
    utime_t	utime;
    as_t	as;
    proto_t	proto;
    pmet_t	metric;
    pref_t	pref;
    if_addr	*ifap;
    if_addr_entry	*ifae;
    adv_entry	*adv;
    gw_entry	*gwp;
    void_t	vt;
    sockaddr_un	*sockaddr;
    trace_file	*trace_file;
    struct addr_list_ *alist;
#ifdef	PROTO_INET
    struct in_addr in_addr;
#endif	/* PROTO_INET */
    dest_mask	dm;
    struct {
	pmet_t metric;
	adv_entry *adv;
	flag_t ribmask;
    } metric_adv ;
    struct {
	proto_t proto;
	adv_entry **import_list;
	adv_entry **export_list;
	gw_entry **gw_list;
    } proto_lists;
    struct {
        flag_t flags;
        flag_t ribmask;
    } rts_opt;
    config_entry *config;
    config_list *conflist;
#ifndef	GATED_LEXER
#ifdef	PROTO_OSPF
    ospf_config_router *ospf_router;
    ospf_auth *ospf_auth;
#endif	/* PROTO_OSPF */
#ifdef PROTO_OSPF2
    nospf_auth_t *nospf_auth;
    cfg_router_t *router;
    cfg_area_t *cfg_area;
#endif /* PROTO_OSPF2 */
#ifdef PROTO_RIP
    rip_auth *rip_auth;
#endif /* PROTO_RIP */
    as_path *aspath;
    asmatch_t *asp_match;
    asp_range asp_range;
    asp_stack asp_stack;
#endif	/* GATED_LEXER */
#ifdef IPSEC
    struct sockaddr_key *ipseckey;
#endif /* IPSEC */
} YYSTYPE;
#define	L_EOS	258
#define	L_ERROR	259
#define	L_NUMBER	260
#define	L_FLOAT	261
#define	L_STRING	262
#define	L_HNAME	263
#define	L_KEYWORD	264
#define	L_HEXSTRING	265
#define	L_OCTETSTRING	266
#define	T_GENDEFAULT	267
#define	T_DIRECT	268
#define	T_INTERFACE	269
#define	T_INTERFACES	270
#define	T_LCLADDR	271
#define	T_PROTO	272
#define	T_METRIC	273
#define	T_METRICIN	274
#define	T_METRICOUT	275
#define	T_INFINITY	276
#define	T_DOWN	277
#define	T_PARSE	278
#define	T_ADV	279
#define	T_DEFAULT	280
#define	T_DEFAULTS	281
#define	T_YYDEBUG	282
#define	T_YYSTATE	283
#define	T_YYQUIT	284
#define	T_DEBUG	285
#define	T_SYSLOG	286
#define	T_UPTO	287
#define	T_EMERG	288
#define	T_ALERT	289
#define	T_CRIT	290
#define	T_ERR	291
#define	T_WARNING	292
#define	T_NOTICE	293
#define	T_INFO	294
#define	T_ON	295
#define	T_OFF	296
#define	T_GATEWAY	297
#define	T_PREFERENCE	298
#define	T_PREFERENCE2	299
#define	T_DEFAULTMETRIC	300
#define	T_NONBROADCAST	301
#define	T_BROADCAST	302
#define	T_TYPE	303
#define	T_POINTOPOINT	304
#define	T_MULTICAST	305
#define	T_NOMULTICAST	306
#define	T_NETMASK	307
#define	T_DEFINE	308
#define	T_SUBNET	309
#define	T_REMOTE	310
#define	T_NOUNICAST	311
#define	T_UNICAST	312
#define	T_INTERNAL	313
#define	T_EXTERNAL	314
#define	T_IGNORE	315
#define	T_ALIAS	316
#define	T_ALIASNH	317
#define	T_PRIMARY	318
#define	T_LOWESTIP	319
#define	T_KEEPALL	320
#define	T_RIBS	321
#define	T_INHERIT_METRIC	322
#define	T_SUMMARY_FILTERS	323
#define	T_NOP	324
#define	T_NOP1	325
#define	T_NOP_DM	326
#define	T_NOP_ADV	327
#define	T_NOP_PROTO	328
#define	T_NOP_SOCKADDR	329
#define	T_PEERAS	330
#define	T_LOCALAS	331
#define	T_ASCOUNT	332
#define	T_NEIGHBOR	333
#define	T_GROUP	334
#define	T_VERSION	335
#define	T_ACQUIRE	336
#define	T_TTL	337
#define	T_MAXUP	338
#define	T_SOURCENET	339
#define	T_PKTSIZE	340
#define	T_P1	341
#define	T_P2	342
#define	T_DEFAULTIN	343
#define	T_DEFAULTOUT	344
#define	T_BGP	345
#define	T_BGP4MP	346
#define	T_TEST	347
#define	T_KEEP	348
#define	T_SENDBUF	349
#define	T_RECVBUF	350
#define	T_OPEN	351
#define	T_KEEPALIVE	352
#define	T_INDELAY	353
#define	T_OUTDELAY	354
#define	T_LCLTCPADDR	355
#define	T_ROUTING	356
#define	T_ANALRETENTIVE	357
#define	T_KEEPALIVESALWAYS	358
#define	T_NOAGGRID	359
#define	T_NOAUTHCHECK	360
#define	T_SETPREF	361
#define	T_ROUTETOPEER	362
#define	T_IGNOREFIRSTASHOP	363
#define	T_NOV4ASLOOP	364
#define	T_V3ASLOOPOKAY	365
#define	T_LOGUPDOWN	366
#define	T_EGP	367
#define	T_HOLDTIME	368
#define	T_ASPATH	369
#define	T_ORIGIN	370
#define	T_INCOMPLETE	371
#define	T_ANY	372
#define	T_LOOPS	373
#define	T_TAG	374
#define	T_KERNEL	375
#define	T_SYMBOLS	376
#define	T_REMNANTS	377
#define	T_IFLIST	378
#define	T_ROUTES	379
#define	T_NOCHANGE	380
#define	T_NOFLUSHATEXIT	381
#define	T_REMNANTHOLDTIME	382
#define	T_HIGHER	383
#define	T_LOWER	384
#define	T_FLASH	385
#define	T_INTERIOR	386
#define	T_BACKGROUND	387
#define	T_LIMIT	388
#define	T_TRUSTEDGATEWAYS	389
#define	T_SOURCEGATEWAYS	390
#define	T_RIP	391
#define	T_RIPOUT	392
#define	T_NORIPOUT	393
#define	T_RIPIN	394
#define	T_NORIPIN	395
#define	T_NOCHECKZERO	396
#define	T_MAXROUTES	397
#define	T_OLDOSPF	398
#define	T_CISCO	399
#define	T_OSPFAREA	400
#define	T_OSPF	401
#define	T_OSPF_ASE	402
#define	T_BACKBONE	403
#define	T_VIRTUALLINK	404
#define	T_STUB	405
#define	T_STUBHOSTS	406
#define	T_NETWORKS	407
#define	T_ROUTERS	408
#define	T_NEIGHBORID	409
#define	T_TRANSITAREA	410
#define	T_ELIGIBLE	411
#define	T_MONITORAUTH	412
#define	T_MONITORAUTHKEY	413
#define	T_DD	414
#define	T_ACK	415
#define	T_LSA_BLD	416
#define	T_LSA_RX	417
#define	T_LSA_TX	418
#define	T_EXPORTINTERVAL	419
#define	T_EXPORTLIMIT	420
#define	T_FIRST	421
#define	T_EVERY	422
#define	T_START_ACCEPT	423
#define	T_STOP_ACCEPT	424
#define	T_START_GENERATE	425
#define	T_STOP_GENERATE	426
#define	T_KEY	427
#define	T_ID	428
#define	T_POLLINTERVAL	429
#define	T_INFTRANSDELAY	430
#define	T_RXMITINTERVAL	431
#define	T_ROUTERPRIO	432
#define	T_DB	433
#define	T_OSPF_STATE	434
#define	T_AREA	435
#define	T_SPF	436
#define	T_HELLO	437
#define	T_ROUTERDEADINTERVAL	438
#define	T_HELLOINTERVAL	439
#define	T_PRIORITY	440
#define	T_ENABLE	441
#define	T_DISABLE	442
#define	T_QUERY	443
#define	T_QUERYINTERVAL	444
#define	T_MODE	445
#define	T_REPORT	446
#define	T_TUNNEL	447
#define	T_IPIP	448
#define	T_REGISTER	449
#define	T_PRUNE	450
#define	T_GRAFT	451
#define	T_SNMP	452
#define	T_SMUX	453
#define	T_SMUX_PASSWORD	454
#define	T_SMUX_DEBUG	455
#define	T_SERVER	456
#define	T_CLIENT	457
#define	T_ADDRESS	458
#define	T_MAXADVINTERVAL	459
#define	T_MINADVINTERVAL	460
#define	T_LIFETIME	461
#define	T_INELIGIBLE	462
#define	T_SOLICIT	463
#define	T_QUIET	464
#define	T_ADVERTISE	465
#define	T_ICMP	466
#define	T_ROUTERDISCOVERY	467
#define	T_REDIRECT	468
#define	T_REDIRECTS	469
#define	T_NOREDIRECTS	470
#define	T_AUTHTYPE	471
#define	T_AUTHKEY	472
#define	T_NONE	473
#define	T_SIMPLE	474
#define	T_AUTH	475
#define	T_MD5	476
#define	T_SECONDARY	477
#define	T_RC4	478
#define	T_CRYPTO	479
#define	T_PASSIVE	480
#define	T_SIMPLEX	481
#define	T_STRICTIFS	482
#define	T_SCANINTERVAL	483
#define	T_STATIC	484
#define	T_MARTIANS	485
#define	T_RETAIN	486
#define	T_EXPORT	487
#define	T_IMPORT	488
#define	T_EXACT	489
#define	T_REFINE	490
#define	T_BETWEEN	491
#define	T_AND	492
#define	T_HOST	493
#define	T_MASK	494
#define	T_MASKLEN	495
#define	T_REJECT	496
#define	T_BLACKHOLE	497
#define	T_RESTRICT	498
#define	T_ALLOW	499
#define	T_ANNOUNCE	500
#define	T_LISTEN	501
#define	T_AS	502
#define	T_ROUTERID	503
#define	T_IGP	504
#define	T_OPTIONS	505
#define	T_NOINSTALL	506
#define	T_NOSEND	507
#define	T_NORESOLV	508
#define	T_MARK	509
#define	T_TRACEOPTIONS	510
#define	T_EXCEPT	511
#define	T_REPLACE	512
#define	T_SIZE	513
#define	T_FILES	514
#define	T_K	515
#define	T_M	516
#define	T_ALL	517
#define	T_ROUTE	518
#define	T_STATE	519
#define	T_POLICY	520
#define	T_NORMAL	521
#define	T_GENERAL	522
#define	T_TASK	523
#define	T_TIMER	524
#define	T_NOSTAMP	525
#define	T_UPDATE	526
#define	T_DETAIL	527
#define	T_SEND	528
#define	T_RECEIVE	529
#define	T_ERROR	530
#define	T_PACKETS	531
#define	T_RESPONSE	532
#define	T_REQUEST	533
#define	T_OTHER	534
#define	T_TRAP	535
#define	L_USEC	536
#define	T_AGGREGATE	537
#define	T_GENERATE	538
#define	T_BRIEF	539
#define	T_NOAGG	540
#define	T_INET	541
#define	T_PORT	542


extern YYSTYPE yylval;
